---
# tasks/main.yml
# define tasks here

# install packages
- name: Ensure dependencies are installed.
  apt: pkg={{ item }} state=installed
  with_items:
    - php5-fpm
    - php5-curl

# phalcon
- apt_repository: repo='ppa:phalcon/stable' state=present
- apt: pkg=php5-phalcon state=installed update_cache=yes


# config

- name: php.ini setup
  lineinfile: dest=/etc/php5/fpm/php.ini line='{{ item.line }}' regexp='{{ item.regexp }}'
  with_items:
    - { "line":"cgi.fix_pathinfo=0", "regexp":";?cgi.fix_pathinfo=" }
  notify:
    - restart php

- name: pool.d/www.conf setup
  lineinfile: dest=/etc/php5/fpm/pool.d/www.conf line='{{ item.line }}' regexp='{{ item.regexp }}'
  with_items:
    - { "line":"listen = /var/run/php5-fpm.sock", "regexp":";?listen =" }
  notify:
    - restart php